Loading...
Searching...
No Matches
Transform2D.h File Reference
`#include <RDGeneral/export.h>`
`#include "Transform.h"`
`#include <Numerics/SquareMatrix.h>`

Go to the source code of this file.

## Classes

class | RDGeom::Transform2D

## Namespaces

namespace | RDGeom

## Functions

RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Transform2D | operator* (const RDGeom::Transform2D &t1, const RDGeom::Transform2D &t2)
| Combine two transforms and return the results as a new transform.

## Variables

const unsigned int | RDGeom::DIM_2D = 3

## Function Documentation

## operator*()

RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Transform2D operator* | ( | const RDGeom::Transform2D & | t1,
|  | const RDGeom::Transform2D & | t2 )

Combine two transforms and return the results as a new transform.

The order is important here, on two transforms t1 and t2 t3 = t1*t2 The resulting transform t3 has the folliwng effect t3(point) = t1(t2(point))

References RDKIT_RDGEOMETRYLIB_EXPORT.